Commit e40bee61 authored by Amandine  PERRIN's avatar Amandine PERRIN
Browse files

Construct 3 docker images: 1 which will be used for tests, 2 which will be...

Construct 3 docker images: 1 which will be used for tests, 2 which will be used by installation script

- the test image contains all dependencies needed to run the pipeline (except the pipeline itself)
- the install-ubuntu-base image contains only ubuntu, with python3 and pip3 installed. This will be used to check that, in that case, the installation script installs everything
- the install-ubuntu-barrnapOnly contains ubuntu with Python3 and pip3 installed, and barrnap installed, but not prokka. The installation script should install prokka
parent fe4fd8c2
......@@ -9,12 +9,32 @@ variables:
before_script:
- docker login -u gitlab-ci-token -p "$CI_BUILD_TOKEN" registry-gitlab.pasteur.fr
build:
build-test-image:
only:
- docker
stage: build
script:
- apk update ; apk add git
- git checkout master -- pythoncode/requirements.txt
- docker build --pull -t "$CI_REGISTRY_IMAGE:testing-ubuntu" .
- docker build --pull -t "$CI_REGISTRY_IMAGE:testing-ubuntu" for_tests
- docker push "$CI_REGISTRY_IMAGE:testing-ubuntu"
build-install-base:
only:
- docker
stage: build
script:
- apk update ; apk add git
- git checkout master -- pythoncode/requirements.txt
- docker build --pull -t "$CI_REGISTRY_IMAGE:install-ubuntu-base" for_build/basics
- docker push "$CI_REGISTRY_IMAGE:install-ubuntu-base"
build-install-barrnap:
only:
- docker
stage: build
script:
- apk update ; apk add git
- git checkout master -- pythoncode/requirements.txt
- docker build --pull -t "$CI_REGISTRY_IMAGE:install-ubuntu-barrnapOnly" for_build/barrnap_only
- docker push "$CI_REGISTRY_IMAGE:install-ubuntu-barrnapOnly"
from ubuntu:16.04
# Update apt-get packages
RUN apt-get update &&\
apt-get -y upgrade
# Install package needed
RUN apt-get install -y \
wget \
python3-pip
# Update pip
RUN pip3 install --upgrade pip
# Install barrnap
WORKDIR /tmp
RUN wget https://github.com/tseemann/barrnap/archive/0.8.tar.gz &&\
tar -xf 0.8.tar.gz &&\
rm 0.8.tar.gz
RUN ln -s /tmp/barrnap-0.8/bin/barrnap /usr/local/bin
# Remove heavy useless files
RUN rm -r /tmp/barrnap-0.8/examples /tmp/barrnap-0.8/build/*.aln
from ubuntu:16.04
# Update apt-get packages
RUN apt-get update &&\
apt-get -y upgrade
# Install package needed
RUN apt-get install -y \
wget \
python3-pip
# Update pip
RUN pip3 install --upgrade pip
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment